package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.EmailTemplateSettingPageQuery;
import com.simuwang.base.pojo.vo.EmailTemplateMappingVO;
import com.simuwang.base.pojo.vo.IdListVO;
import com.simuwang.base.pojo.vo.StatusVO;

/**
 * FileName: EmailTemplateMappingService
 * Author:   chenjianhua
 * Date:     2024/9/25 20:25
 * Description: ${DESCRIPTION}
 */
public interface EmailTemplateMappingService {
    MybatisPage<EmailTemplateMappingVO> searchTemplateSettingList(EmailTemplateSettingPageQuery emailTemplateSettingPageQuery);

    void deleteTemplateSetting(IdListVO idListVO);

    void saveTemplateSetting(EmailTemplateMappingVO emailTemplateMappingVO);

    void controlTemplateConfig(StatusVO statusVO);

    EmailTemplateMappingVO searchTemplateSetting(Integer id);
}
